Get Customer By Email
curl --request GET \
--url https://api.example.com/api/dashboard/customers/email/{email}import requests
url = "https://api.example.com/api/dashboard/customers/email/{email}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/api/dashboard/customers/email/{email}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"merchant_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"last_name": "<string>",
"full_name": "<string>",
"default_address": {
"first_name": "<string>",
"last_name": "<string>",
"company": "<string>",
"address1": "<string>",
"address2": "<string>",
"city": "<string>",
"state": "<string>",
"postal_code": "<string>",
"country": "<string>",
"phone": "<string>"
},
"addresses": [
{
"first_name": "<string>",
"last_name": "<string>",
"company": "<string>",
"address1": "<string>",
"address2": "<string>",
"city": "<string>",
"state": "<string>",
"postal_code": "<string>",
"country": "<string>",
"phone": "<string>"
}
],
"accepts_marketing": true,
"orders_count": 123,
"total_spent": "<string>",
"average_order_value": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"orders": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"merchant_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"order_number": "<string>",
"line_items": [
{
"name": "<string>",
"quantity": 123,
"price": "<string>",
"total": "<string>",
"variant_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"product_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"sku": "<string>",
"option1": "<string>",
"option2": "<string>",
"option3": "<string>",
"variant_name": "<string>",
"image_url": "<string>"
}
],
"subtotal": "<string>",
"tax": "<string>",
"shipping_cost": "<string>",
"discount": "<string>",
"total": "<string>",
"currency": "<string>",
"status": "<string>",
"payment_status": "<string>",
"fulfillment_status": "<string>",
"source": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"customer_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"email": "<string>",
"phone": "<string>",
"payment_method": "<string>",
"billing_address": {
"first_name": "<string>",
"last_name": "<string>",
"company": "<string>",
"address1": "<string>",
"address2": "<string>",
"city": "<string>",
"state": "<string>",
"postal_code": "<string>",
"country": "<string>",
"phone": "<string>"
},
"shipping_address": {
"first_name": "<string>",
"last_name": "<string>",
"company": "<string>",
"address1": "<string>",
"address2": "<string>",
"city": "<string>",
"state": "<string>",
"postal_code": "<string>",
"country": "<string>",
"phone": "<string>"
},
"shipping_method": "<string>",
"tracking_number": "<string>",
"tracking_url": "<string>",
"note": "<string>",
"staff_note": "<string>",
"shipped_at": "2023-11-07T05:31:56Z",
"delivered_at": "2023-11-07T05:31:56Z",
"cancelled_at": "2023-11-07T05:31:56Z"
}
],
"email": "<string>",
"source": "web",
"external_id": "<string>",
"phone": "<string>",
"first_name": "<string>",
"has_password": false,
"email_verified_at": "2023-11-07T05:31:56Z",
"marketing_opt_in": false,
"failed_login_count": 0,
"locked_until_at": "2023-11-07T05:31:56Z",
"saved_addresses": [],
"ig_username": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Dashboard
Get Customer By Email
Get a customer by email with order history.
GET
/
api
/
dashboard
/
customers
/
email
/
{email}
Get Customer By Email
Path Parameters
Response
Successful Response
Schema for customer with order history.
Schema for address. Fields are optional to support simpler address formats from AI widget.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Pattern:
^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$Show child attributes
Show child attributes
Show child attributes
Show child attributes